# Interface Options

// Properties for ArcGISGeoJSON

interface Options {
dataProjection: ProjectionLike;
extractGeometryName: boolean;
featureProjection: ProjectionLike;
geometryName: string;
layers: string[];
}

- Defined in src/format/ArcGISGeoJSON.js:25

#####
Index

### Properties

dataProjection
extractGeometryName
featureProjection
geometryName
layers

## Properties

### dataProjection

dataProjection: ProjectionLike

Default data projection.

- Defined in src/format/ArcGISGeoJSON.js:29

### extractGeometryName

extractGeometryName: boolean

Certain GeoJSON providers include the geometry_name field in the feature GeoJSON. If set to `true` the GeoJSON reader will look for that field to set the geometry name. If both this field is set to `true` and a `geometryName` is provided, the `geometryName` will take precedence.

- Defined in src/format/ArcGISGeoJSON.js:33

### featureProjection

featureProjection: ProjectionLike

Projection for features read or written by the format. Options passed to read or write methods will take precedence.

- Defined in src/format/ArcGISGeoJSON.js:30

### geometryName

geometryName: string

Geometry name to use when creating features.

- Defined in src/format/ArcGISGeoJSON.js:32

### layers

layers: string[]

If set, only features of the given layers will be returned by the format when read. // Properties from GeoJSON

- Defined in src/format/ArcGISGeoJSON.js:27

Generated using TypeDoc